> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1decklists

> ViewSet for managing decklists



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema post /api/v1/decklists/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/decklists/:
    post:
      tags:
        - decklists
      description: ViewSet for managing decklists
      operationId: decklists_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DecklistRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DecklistRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DecklistRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Decklist'
          description: ''
      security:
        - tokenAuth: []
        - cookieAuth: []
        - APIKey: []
        - APIKey: []
        - {}
components:
  schemas:
    DecklistRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        moxfield_deck_json:
          type: string
          nullable: true
        plaintext_list:
          type: string
          nullable: true
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        archetype:
          type: string
          nullable: true
          maxLength: 255
      required:
        - name
    Decklist:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        moxfield_deck_json:
          type: string
          nullable: true
        plaintext_list:
          type: string
          nullable: true
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        deck_image_url:
          type: string
          readOnly: true
        archetype:
          type: string
          nullable: true
          maxLength: 255
      required:
        - deck_image_url
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````